<?php
/**
 * @copyright 2025 anybody
 */

// make sure we are not being called directly
defined('APP_DIR') or exit();

/**
 * meta
 */
function xxTweaks_meta()
{
    return array(
        'name'        => 'Tweaks',
        'url'         => 'tweaks',
        'version'     => '1.0.0',
        'developer'   => 'Anybody, &copy;' . date('Y'),
        'description' => 'stuff and adjustments for the site',
        'category'    => 'custom',
        'license'     => 'mpl'
    );
}

/**
 * init
 */
function xxTweaks_init()
{

    // Event listeners
    jrCore_register_event_listener('jrCore', 'form_display', 'xxTweaks_form_display_listener');

    return true;
}

/**
 * Listens for forms
 * @param $_data array incoming data array
 * @param $_user array current user info
 * @param $_conf array Global config
 * @param $_args array additional info about the module
 * @param $event string Event Trigger name
 *
 * @return array
 */
function xxTweaks_form_display_listener($_data, $_user, $_conf, $_args, $event)
{
    if (!empty($_data) && $_data['form_view'] == 'jrProfileTweaks/customize') {
        // this is targeted to fire when anyone is looking at the jrProfileTweaks module's "Customze your profile" form.

        $_tmp = array(
            'name'     => 'profile_tweaks_css1',
            'label'    => "Custom CSS",
            'help'     => "Some desctiption about what this field does",
            'type'     => 'textarea',
            'required' => false
        );
        jrCore_form_field_create($_tmp);

        $_opt = array(
            '10' => '10px',
            '12' => '12px',
            '14' => '14px',
            '16' => '16px',
            '18' => '18px',
            '20' => '20px',
        );

        $_tmp = array(
            'name'     => 'profile_tweaks_css2',
            'label'    => "Custom CSS 2",
            'help'     => "Some other desctiption about what this field does",
            'type'    => 'select',
            'options' => $_opt,
            'default' => 'black_overlay_player',
        );
        jrCore_form_field_create($_tmp);

    }
    return $_data;
}

